# encoding: utf-8
require 'chef/application/solo'

module AgileSolo
  module Application
    class Solo < Chef::Application::Solo
      attr_reader :chef_solo_json

      def run_application
        begin
          run_chef_client
        rescue SystemExit => e
          raise
        rescue Exception => e
          Chef::Application.fatal!("#{e.class}: #{e.message}", 1)
        end
      end
    end
  end
end
