# coding: utf-8
require 'sinatra/base'
require 'multi_json'

module AgileSolo
  class Server < Sinatra::Base

    def commands
      @commands ||= CompositeCommand.new
    end

    put '/solo' do
      content_type :json
      commands.add_commands AgileSolo::Consumer.new(MultiJson.load(request.body.read)['solo'])
      commands.execute
      status 204
    end
  end
end
